
  nbre = k/nfreq
        write(mystr,'(i4.4)')nbre 
        open(222,file='u'//trim(mystr),position='append')
     



 do j=1,ny      
     do i=1,nx
        write(22,*)xx(i),yy(j),u(i,j)                   
     enddo
     write(22,*)
  enddo
  close(22)
